import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.skills.listPreconfigured();
console.log(result);
}
run();{
"object": "list",
"data": [
{
"name": "pdf",
"description": "Use this skill whenever the user wants to do anything with PDF files.",
"object": "preconfigured_skill"
},
{
"name": "docx",
"description": "Use this skill whenever the user wants to create, read, edit, or manipulate Word documents.",
"object": "preconfigured_skill"
}
],
"first_id": "pdf",
"has_more": false,
"last_id": "docx"
}import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.skills.listPreconfigured();
console.log(result);
}
run();{
"object": "list",
"data": [
{
"name": "pdf",
"description": "Use this skill whenever the user wants to do anything with PDF files.",
"object": "preconfigured_skill"
},
{
"name": "docx",
"description": "Use this skill whenever the user wants to create, read, edit, or manipulate Word documents.",
"object": "preconfigured_skill"
}
],
"first_id": "pdf",
"has_more": false,
"last_id": "docx"
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Was this page helpful?